# CPU type
set cpu_type TMS320C64PLUS

# Flash support
set flash_types { 1 2 }

# target-side code of flash loader
set FlashLoadSuppCode $mypath/trgcode/flash6455.out

# target is little endian
set TargetBigEndian 0

# PC register name
set pc_name PC

# base address of MCBSP0 in CPU's address space
set mcbsp0_base 0x028C0000

# base address of MCBSP1 in CPU's address space
set mcbsp1_base 0x02900000

# Word width (0 - 8 bit, 1 - 16, 2 - 32)
set word_width 0

# base address of EMIF control registers in CPU's address space
set emif_base  0x70000000

###########################################################################
# CPU-specific initialization
###########################################################################
proc CPUSpecificInit { dev } {
                  
  upvar 1 flash_type flash_type

  if { $flash_type == 1 } {

    # for EMIFA-accessed IC's
    # enable EMIFA in PERCFG1

    puts "Enabling EMIFA"

    PutLong $dev 0x02AC002C 0 [expr 0x0001 | [ReadLong $dev 0x02AC002C 0]]
#    PutLong $dev 0x02AC002C 0 0x00000001
    after 10
  }
}

