#
# Interface to Internal CPU's flash
#

# Interface controller base address
#
if [info exists internal_flash_ctrlr_base] {
  set ctrlr_base $internal_flash_ctrlr_base
} else {
  set ctrlr_base 0
}

# Interface type
#
set iftype 4

# base address in the address space of the CPU is...
#
set flash_base $internal_flash_base

# Flash's data bus width (minimum programmable value width) 
# (0 - 8 bits; 1 - 16 bits; 2 - 32 bits)
#
if { [string equal $cpu_type "TMS470R1B"  ] } {
  set dbus_width 2
}
if { [string equal $cpu_type "TMS320C2800"  ] } {
  set dbus_width 1
}

# Interface init script
#
set iface_init_script intl_init.tcl
